Subject: Last call on draft-ietf-mpls-rsvp-lsp-tunnel-07

From: Adrian Farrel <[email-masked]>
Date: Mon, 20 Nov 2000 21:41:20 -0000

George,

I have an issue which I first raised on v6 of the draft and to which I can't
find a response (sorry if my parsing of the archives is defective).  The
text in question remains in draft v7.

It concerns the Label Subobject in the RRO.

The aim is that we should be able to take an RRO received on a Resv at the
ingress and pass it back out as an ERO.  This works nicely as a way of
pinning since the L bit will be clear in the RRO.

However, by adding a label sub-object this processing is broken.  Note that
the breakage is not in the addition to the RRO, but in the text in 4.3.6 for
ERO forward compatibility.

   It is anticipated that new subobjects may be defined over time.  A
   node which encounters an unrecognized subobject during its normal ERO
   processing sends a PathErr with the error code "Routing Error" and
   error value of "Bad Explicit Route Object" toward the sender.  The
   EXPLICIT_ROUTE object is included, truncated (on the left) to the
   offending subobject.  The presence of an unrecognized subobject which
   is not encountered in a node's ERO processing SHOULD be ignored.  It
   is passed forward along with the rest of the remaining ERO stack.

Since the label subobject isn't defined for ERO in RSVP-TE until GMPLS it
is, by definition, unrecognized when it arrives in an ERO.

Could we extend 4.3.6 to say "...MAY choose to discard the unrecognized
subobject and continue to process the next subobject..."?  I believe this
would cover the issue.

Incidentally, should we strive to ensure that the format of the label
subobject in ERO in GMPLS matches the label subobject in the RRO here (or is
that a problem for the GMPLS authors?).

Regards,
Adrian
--
Adrian Farrel  mailto:[email-masked]
Network Convergence Group
Data Connection Ltd., Chester, UK
http://www.dataconnection.com/
Tel: +44 (0) 1244 313440  Fax: +44 (0) 1244 312422

>-----Original Message-----
>From: Adrian Farrel 
>Sent: Wednesday, July 26, 2000 8:47 PM
>To: [email-masked]'
>Cc: [email-masked]'
>Subject: Comments on draft-ietf-mpls-rsvp-lsp-tunnel-06
>
>
>George,
>
>A couple of questions and some minor editorial thoughts.  
>Sorry if I'm revisiting old ground - if so please simply reply 
>"see archive".
>
>Hope this is of use.
>
>Regards,
>Adrian
>
>Questions
>=========
>
>4.4.2 RRO Applicability
>    The text inherited from the previous draft says that an RRO can
>    be converted to an ERO "with minor changes".  This has now been
>    broken by the addition of the Label subobject.
>    It would be unfortunate (but perhaps necessary?) to require that
>    the RRO is parsed when pinning a session path.  The alternative
>    would appear to be to allow the Label object to be present but
>    ignored in the ERO.